Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_Default_Factory.cpp File Reference

`#include "CEC_Default_Factory.h"`
`#include "CEC_MT_Dispatching.h"`
`#include "CEC_Reactive_Pulling_Strategy.h"`
`#include "CEC_ConsumerAdmin.h"`
`#include "CEC_SupplierAdmin.h"`
`#include "CEC_ProxyPushConsumer.h"`
`#include "CEC_ProxyPullConsumer.h"`
`#include "CEC_ProxyPushSupplier.h"`
`#include "CEC_ProxyPullSupplier.h"`
`#include "CEC_EventChannel.h"`
`#include "CEC_Reactive_ConsumerControl.h"`
`#include "CEC_Reactive_SupplierControl.h"`
`#include "orbsvcs/ESF/ESF_Immediate_Changes.h"`
`#include "orbsvcs/ESF/ESF_Delayed_Changes.h"`
`#include "orbsvcs/ESF/ESF_Copy_On_Write.h"`
`#include "orbsvcs/ESF/ESF_Copy_On_Read.h"`
`#include "orbsvcs/ESF/ESF_Proxy_List.h"`
`#include "orbsvcs/ESF/ESF_Proxy_RB_Tree.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Sched_Params.h"`
`#include "ace/OS_NS_strings.h"`
`#include "CEC_Default_Factory.i"`

Include dependency graph for CEC_Default_Factory.cpp:

## Typedefs
typedef TAO_ESF_Proxy_List< TAO_CEC_ProxyPushConsumer >::Iterator | TAO_CEC_PushConsumer_List_Iterator
typedef TAO_ESF_Proxy_RB_Tree< TAO_CEC_ProxyPushConsumer >::Iterator | TAO_CEC_PushConsumer_RB_Tree_Iterator
typedef TAO_ESF_Proxy_List< TAO_CEC_ProxyPullConsumer >::Iterator | TAO_CEC_PullConsumer_List_Iterator
typedef TAO_ESF_Proxy_RB_Tree< TAO_CEC_ProxyPullConsumer >::Iterator | TAO_CEC_PullConsumer_RB_Tree_Iterator
typedef TAO_ESF_Proxy_List< TAO_CEC_ProxyPushSupplier >::Iterator | TAO_CEC_PushSupplier_List_Iterator
typedef TAO_ESF_Proxy_RB_Tree< TAO_CEC_ProxyPushSupplier >::Iterator | TAO_CEC_PushSupplier_RB_Tree_Iterator
typedef TAO_ESF_Proxy_List< TAO_CEC_ProxyPullSupplier >::Iterator | TAO_CEC_PullSupplier_List_Iterator
typedef TAO_ESF_Proxy_RB_Tree< TAO_CEC_ProxyPullSupplier >::Iterator | TAO_CEC_PullSupplier_RB_Tree_Iterator
## Functions
const char * | get_rcsid_CosEvent_CEC_Default_Factory (const char *)
## Variables
const char * | rcsid_CosEvent_CEC_Default_Factory = get_rcsid_CosEvent_CEC_Default_Factory ( rcsid_CosEvent_CEC_Default_Factory )

## Typedef Documentation

typedef TAO_ESF_Proxy_List<TAO_CEC_ProxyPullConsumer>::Iterator TAO_CEC_PullConsumer_List_Iterator

typedef TAO_ESF_Proxy_RB_Tree<TAO_CEC_ProxyPullConsumer>::Iterator TAO_CEC_PullConsumer_RB_Tree_Iterator

typedef TAO_ESF_Proxy_List<TAO_CEC_ProxyPullSupplier>::Iterator TAO_CEC_PullSupplier_List_Iterator

typedef TAO_ESF_Proxy_RB_Tree<TAO_CEC_ProxyPullSupplier>::Iterator TAO_CEC_PullSupplier_RB_Tree_Iterator

typedef TAO_ESF_Proxy_List<TAO_CEC_ProxyPushConsumer>::Iterator TAO_CEC_PushConsumer_List_Iterator

typedef TAO_ESF_Proxy_RB_Tree<TAO_CEC_ProxyPushConsumer>::Iterator TAO_CEC_PushConsumer_RB_Tree_Iterator

typedef TAO_ESF_Proxy_List<TAO_CEC_ProxyPushSupplier>::Iterator TAO_CEC_PushSupplier_List_Iterator

typedef TAO_ESF_Proxy_RB_Tree<TAO_CEC_ProxyPushSupplier>::Iterator TAO_CEC_PushSupplier_RB_Tree_Iterator

## Function Documentation

const char* get_rcsid_CosEvent_CEC_Default_Factory | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_CosEvent_CEC_Default_Factory = get_rcsid_CosEvent_CEC_Default_Factory ( rcsid_CosEvent_CEC_Default_Factory )`[static]`